Advisory Details

June 12th, 2024

Apple macOS PPM Image Parsing Out-Of-Bounds Write Remote Code Execution Vulnerability

ZDI-24-579
ZDI-CAN-22309

CVE ID CVE-2024-27836
CVSS SCORE 7.8, AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
AFFECTED VENDORS Apple
AFFECTED PRODUCTS macOS
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Apple macOS. Interaction with the ImageIO framework is required to exploit this vulnerability but attack vectors may vary depending on the implementation.

The specific flaw exists within the ImageIO framework. Crafted data in a PPM image can trigger a write past the end of an allocated buffer. An attacker can leverage this vulnerability to execute code in the context of the current process.

ADDITIONAL DETAILS Apple has issued an update to correct this vulnerability. More details can be found at:
https://support.apple.com/en-ca/HT214106
DISCLOSURE TIMELINE
  • 2024-01-17 - Vulnerability reported to vendor
  • 2024-06-12 - Coordinated public release of advisory
  • 2024-06-12 - Advisory Updated
CREDIT Junsung Lee
BACK TO ADVISORIES